function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { PrimaryColumn, Entity, Index, JoinColumn, Column, ManyToOne } from "typeorm";
import { User } from "./user.js";
import { id } from "../id.js";
export let RegistryItem = class RegistryItem {
    id;
    createdAt;
    updatedAt;
    userId;
    user;
    key;
    value;
    scope;
    // サードパーティアプリに開放するときのためのカラム
    domain;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], RegistryItem.prototype, "id", void 0);
_ts_decorate([
    Column("timestamp with time zone", {
        comment: "The created date of the RegistryItem."
    }),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], RegistryItem.prototype, "createdAt", void 0);
_ts_decorate([
    Column("timestamp with time zone", {
        comment: "The updated date of the RegistryItem."
    }),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], RegistryItem.prototype, "updatedAt", void 0);
_ts_decorate([
    Index(),
    Column({
        ...id(),
        comment: "The owner ID."
    }),
    _ts_metadata("design:type", Object)
], RegistryItem.prototype, "userId", void 0);
_ts_decorate([
    ManyToOne((type)=>User, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], RegistryItem.prototype, "user", void 0);
_ts_decorate([
    Column("varchar", {
        length: 1024,
        comment: "The key of the RegistryItem."
    }),
    _ts_metadata("design:type", String)
], RegistryItem.prototype, "key", void 0);
_ts_decorate([
    Column("jsonb", {
        default: {},
        nullable: true,
        comment: "The value of the RegistryItem."
    }),
    _ts_metadata("design:type", Object)
], RegistryItem.prototype, "value", void 0);
_ts_decorate([
    Index(),
    Column("varchar", {
        length: 1024,
        array: true,
        default: "{}"
    }),
    _ts_metadata("design:type", Array)
], RegistryItem.prototype, "scope", void 0);
_ts_decorate([
    Index(),
    Column("varchar", {
        length: 512,
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], RegistryItem.prototype, "domain", void 0);
RegistryItem = _ts_decorate([
    Entity()
], RegistryItem);
